
pl <- function(labels=F,linewidth=5){
  triple<-function(x0,x1,y0,y1,y2){
    segments(x0,y0,x0,y1);segments(x0,y1,x1,y1);segments(x1,y1,x1,y2);
  }
  opar<-par(mar=c(1,1,1,1));
  plot(1,1,axes=F,type="n",xlab="",ylab="",xlim=c(0,1),ylim=c(0,1));
  segments(0.4,0.6,0.4,1,lwd=linewidth);
  segments(0.6,0.6,0.6,1,lwd=linewidth);
                                        #arrows(0.4,0.9,0.6,0.9,code=3,length=0.1);
                                        #text(0.5,0.88,"N");
  rate<--log(0.2)/0.6
  y<-seq(0,0.6,0.01);
  width<-exp(-rate*y);
  x1<-0.5-width/2;
  xend<-0.5+width/2;
  lines(x1,y,lwd=linewidth)
  lines(xend,y,lwd=linewidth);
  
  x2<-x1[1:5]+width[1:5]*0.2;
  lines(x2,y[1:5],lwd=linewidth);
                                        #Now for the second
  x3<-x1+width*0.63;
  lines(x3,y,lwd=linewidth);
  segments(0.63*0.2+0.4,0.6,0.63*0.2+0.4,0.73,lwd=linewidth);
                                        #Now for the second
  x3<-x1[1:18]+width[1:18]*0.87;
  lines(x3,y[1:18],lwd=linewidth);
                                        # Now for the tree
                                        #pop1
  triple(0.05,0.09,0,0.01,0);
  triple(0.075,0.12,0.01,0.04,0);
  triple(0.15,0.18,0,0.015,0);
  triple(0.10,0.17,0.04,0.07,0.015);
  triple(0.16,0.26,0.07,0.12,0);
                                        #pop2
  triple(0.35,0.38,0,0.09,0);
  triple(0.4,0.45,0,0.03,0);
  triple(0.425,0.5,0.03,0.06,0);
  triple(0.365,0.46,0.09,0.23,0.06);
  triple(0.22,0.31,0.12,0.18,0);
  segments(0.27,0.18,0.35,0.42);
  triple(0.35,0.43,0.42,0.42,0.23);
  triple(0.4,0.52,0.42,0.5,0);
  triple(0.45,0.56,0.5,0.8,0.6);
                                        #pop3
  triple(0.71,0.74,0,0.061,0);
  triple(0.65,0.72,0,0.1,0.061);
  triple(0.68,0.75,0.1,0.2,0.2);
                                        #segments(0.72,0.1,0.72,0.2);
                                        #segments(0.72,0.2,0.75,0.2);
                                        #pop 4
  triple(0.9,0.93,0,0.039,0);
  segments(0.915,0.039,0.75,0.2);
  segments(0.71,0.2,0.56,0.6);
                                        #
  if (labels) {
    arrows(-0.02,0,-0.02,0.6,code=3,length=0.1);
    segments(-0.02,0.6,0.6,0.6,lty=3);
    text(0,0.3,"tg");
    arrows(0,-0.01,0.2,-0.01,code=3,length=0.1)
    text(0.1,-0.02,"a1");
    arrows(0.2,-0.02,0.63,-0.02,code=3,length=0.1)
    text(0.41,-0.03,"a2");
    
    arrows(0.63,-0.01,0.87,-0.01,code=3,length=0.1)
    text(0.75,-0.02,"a3");
    
    arrows(0.87,-0.02,1,-0.02,code=3,length=0.1)
    text(0.94,-0.03,"a4");
    
    arrows(1.0,0,1.0,0.73,code=3,length=0.1);
    segments(1.0,0.73,0.4,0.73,lty=3);
    text(1.02,0.36,"ta");
  }
  par(opar);


}
